import attack
import numpy as np
from data_loader import *
import matplotlib.pyplot as plt


# load binary MNIST
(train_0, labels_0), (train_1, labels_1) = get_binary_mnist()



# get adversary
first_adversary = attack.first_adversary.Naive(train_0)

# first_adversary.get_dominating_set(2, 0.8, 4, {})
graph = first_adversary.get_graph(2, 7.0)

degrees = [len(adj) for adj in graph.adjacency_list]

plt.hist(degrees, bins=50, density=True)
plt.show()

